/* $Header:isatty.c 12.0$ */
/* $ACIS:isatty.c 12.0$ */
/* $Source: /ibm/acis/usr/src/lib/libc/gen/RCS/isatty.c,v $ */

#ifndef lint
static char *rcsid = "$Header:isatty.c 12.0$";
#endif

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)isatty.c	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

/*
 * Returns 1 iff file is a tty
 */

#include <sgtty.h>

isatty(f)
{
	struct sgttyb ttyb;

	if (ioctl(f, TIOCGETP, &ttyb) < 0)
		return(0);
	return(1);
}
